package com.marvinelsen.willow.domain

interface Dictionary {
    fun search(query: String, searchMode: SearchMode): List<DictionaryEntry>

    fun findWordsBeginning(entry: DictionaryEntry): List<DictionaryEntry>
    fun findWordsContaining(entry: DictionaryEntry): List<DictionaryEntry>

    fun findCharacters(entry: DictionaryEntry): List<DictionaryEntry>

    fun findSentencesContaining(entry: DictionaryEntry): List<Sentence>
}
